Error
A valid request URL is required to generate request examples{
"pageKey": "<string>",
"response": [
{
"id": "<string>",
"kind": "donation",
"status": "pending",
"donationReceiptId": "<string>",
"sourceTransferId": "<string>",
"chainId": 0,
"transactionHash": "<string>",
"logIndex": 0,
"timestamp": "2023-11-07T05:31:56Z",
"sourceAddress": "<string>",
"sourceName": "<string>",
"inputAmount": "<string>",
"inputToken": {
"address": "<string>",
"chainId": 0,
"symbol": "<string>",
"decimals": 0
},
"amountScope": "donation",
"delivery": {
"chainId": 0,
"transactionHash": "<string>"
}
}
]
}{
"defined": true,
"code": "VALIDATION_ERROR",
"status": 400,
"message": "Validation failed",
"data": {
"error": "<string>",
"code": "VALIDATION_ERROR",
"issues": [
null
]
}
}{
"defined": true,
"code": "PROVIDER_UNAVAILABLE",
"status": 503,
"message": "Provider temporarily unavailable",
"data": {
"error": "<string>",
"code": "PROVIDER_UNAVAILABLE"
}
}API Reference
List donation activity
List recent donation receipts and in-flight source transfers for a charity or campaign.
GET
/
donation-activity
Error
A valid request URL is required to generate request examples{
"pageKey": "<string>",
"response": [
{
"id": "<string>",
"kind": "donation",
"status": "pending",
"donationReceiptId": "<string>",
"sourceTransferId": "<string>",
"chainId": 0,
"transactionHash": "<string>",
"logIndex": 0,
"timestamp": "2023-11-07T05:31:56Z",
"sourceAddress": "<string>",
"sourceName": "<string>",
"inputAmount": "<string>",
"inputToken": {
"address": "<string>",
"chainId": 0,
"symbol": "<string>",
"decimals": 0
},
"amountScope": "donation",
"delivery": {
"chainId": 0,
"transactionHash": "<string>"
}
}
]
}{
"defined": true,
"code": "VALIDATION_ERROR",
"status": 400,
"message": "Validation failed",
"data": {
"error": "<string>",
"code": "VALIDATION_ERROR",
"issues": [
null
]
}
}{
"defined": true,
"code": "PROVIDER_UNAVAILABLE",
"status": 503,
"message": "Provider temporarily unavailable",
"data": {
"error": "<string>",
"code": "PROVIDER_UNAVAILABLE"
}
}Authorizations
Developer API key. Required for config create/list/delete and project analytics. Optional on public GET reads (anonymous callers are IP rate-limited). Obtain from the Developer dashboard.
Query Parameters
Page size (min 1, max 50)
Required range:
1 <= x <= 50Cursor for next page (from previous pageKey)
Available options:
charity, campaign Required string length:
1 - 128Was this page helpful?